Upstream information

CVE-2022-3100 at MITRE

Description

A flaw was found in the openstack-barbican component. This issue allows an access policy bypass via a query string when accessing the API.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 7.1
Vector CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:L/A:N CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:C/C:H/I:L/A:N
Attack Vector Network Network
Attack Complexity High High
Privileges Required Low Low
User Interaction None None
Scope Unchanged Changed
Confidentiality Impact High High
Integrity Impact Low Low
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1203873 [REOPENED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion OpenStack 8
  • openstack-barbican >= 5.0.2~dev3-3.17.2
  • openstack-barbican-api >= 5.0.2~dev3-3.17.2
  • openstack-barbican-doc >= 5.0.2~dev3-3.17.2
  • openstack-barbican-keystone-listener >= 5.0.2~dev3-3.17.2
  • openstack-barbican-retry >= 5.0.2~dev3-3.17.2
  • openstack-barbican-worker >= 5.0.2~dev3-3.17.2
  • python-barbican >= 5.0.2~dev3-3.17.2
  • venv-openstack-barbican-x86_64 >= 5.0.2~dev3-12.43.2
Patchnames:
HPE-Helion-OpenStack-8-2023-71
SUSE OpenStack Cloud 8
  • openstack-barbican >= 5.0.2~dev3-3.17.2
  • openstack-barbican-api >= 5.0.2~dev3-3.17.2
  • openstack-barbican-doc >= 5.0.2~dev3-3.17.2
  • openstack-barbican-keystone-listener >= 5.0.2~dev3-3.17.2
  • openstack-barbican-retry >= 5.0.2~dev3-3.17.2
  • openstack-barbican-worker >= 5.0.2~dev3-3.17.2
  • python-barbican >= 5.0.2~dev3-3.17.2
  • venv-openstack-barbican-x86_64 >= 5.0.2~dev3-12.43.2
Patchnames:
SUSE-OpenStack-Cloud-8-2023-71
SUSE OpenStack Cloud 9
  • openstack-barbican >= 7.0.1~dev24-3.17.1
  • openstack-barbican-api >= 7.0.1~dev24-3.17.1
  • openstack-barbican-keystone-listener >= 7.0.1~dev24-3.17.1
  • openstack-barbican-retry >= 7.0.1~dev24-3.17.1
  • openstack-barbican-worker >= 7.0.1~dev24-3.17.1
  • openstack-heat-gbp >= 14.0.1~dev5-3.12.1
  • openstack-horizon-plugin-gbp-ui >= 14.0.1~dev6-3.15.1
  • openstack-neutron >= 13.0.8~dev209-3.43.1
  • openstack-neutron-dhcp-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-gbp >= 14.0.1~dev52-3.37.1
  • openstack-neutron-ha-tool >= 13.0.8~dev209-3.43.1
  • openstack-neutron-l3-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-linuxbridge-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-macvtap-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-metadata-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-metering-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-openvswitch-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-server >= 13.0.8~dev209-3.43.1
  • python-barbican >= 7.0.1~dev24-3.17.1
  • python-heat-gbp >= 14.0.1~dev5-3.12.1
  • python-horizon-plugin-gbp-ui >= 14.0.1~dev6-3.15.1
  • python-neutron >= 13.0.8~dev209-3.43.1
  • python-neutron-gbp >= 14.0.1~dev52-3.37.1
  • spark >= 2.2.3-5.12.1
  • venv-openstack-barbican-x86_64 >= 7.0.1~dev24-3.37.1
  • venv-openstack-horizon-x86_64 >= 14.1.1~dev11-4.43.1
  • venv-openstack-neutron-x86_64 >= 13.0.8~dev209-6.43.1
  • venv-openstack-nova-x86_64 >= 18.3.1~dev92-3.43.1
Patchnames:
SUSE-OpenStack-Cloud-9-2023-70
SUSE OpenStack Cloud Crowbar 8
  • openstack-barbican >= 5.0.2~dev3-3.17.2
  • openstack-barbican-api >= 5.0.2~dev3-3.17.2
  • openstack-barbican-doc >= 5.0.2~dev3-3.17.2
  • openstack-barbican-keystone-listener >= 5.0.2~dev3-3.17.2
  • openstack-barbican-retry >= 5.0.2~dev3-3.17.2
  • openstack-barbican-worker >= 5.0.2~dev3-3.17.2
  • python-barbican >= 5.0.2~dev3-3.17.2
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2023-71
SUSE OpenStack Cloud Crowbar 9
  • openstack-barbican >= 7.0.1~dev24-3.17.1
  • openstack-barbican-api >= 7.0.1~dev24-3.17.1
  • openstack-barbican-keystone-listener >= 7.0.1~dev24-3.17.1
  • openstack-barbican-retry >= 7.0.1~dev24-3.17.1
  • openstack-barbican-worker >= 7.0.1~dev24-3.17.1
  • openstack-heat-gbp >= 14.0.1~dev5-3.12.1
  • openstack-horizon-plugin-gbp-ui >= 14.0.1~dev6-3.15.1
  • openstack-neutron >= 13.0.8~dev209-3.43.1
  • openstack-neutron-dhcp-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-gbp >= 14.0.1~dev52-3.37.1
  • openstack-neutron-ha-tool >= 13.0.8~dev209-3.43.1
  • openstack-neutron-l3-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-linuxbridge-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-macvtap-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-metadata-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-metering-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-openvswitch-agent >= 13.0.8~dev209-3.43.1
  • openstack-neutron-server >= 13.0.8~dev209-3.43.1
  • python-barbican >= 7.0.1~dev24-3.17.1
  • python-heat-gbp >= 14.0.1~dev5-3.12.1
  • python-horizon-plugin-gbp-ui >= 14.0.1~dev6-3.15.1
  • python-neutron >= 13.0.8~dev209-3.43.1
  • python-neutron-gbp >= 14.0.1~dev52-3.37.1
  • spark >= 2.2.3-5.12.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2023-70


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 openstack-barbican Released
HPE Helion OpenStack 8 openstack-barbican-doc Released
HPE Helion OpenStack 8 venv-openstack-barbican Released
SUSE OpenStack Cloud 8 openstack-barbican Released
SUSE OpenStack Cloud 8 openstack-barbican-doc Released
SUSE OpenStack Cloud 8 venv-openstack-barbican Released
SUSE OpenStack Cloud 9 openstack-barbican Released
SUSE OpenStack Cloud 9 openstack-heat-gbp Released
SUSE OpenStack Cloud 9 openstack-horizon-plugin-gbp-ui Released
SUSE OpenStack Cloud 9 openstack-neutron Released
SUSE OpenStack Cloud 9 openstack-neutron-gbp Released
SUSE OpenStack Cloud 9 spark Released
SUSE OpenStack Cloud 9 venv-openstack-barbican Released
SUSE OpenStack Cloud 9 venv-openstack-horizon Released
SUSE OpenStack Cloud 9 venv-openstack-neutron Released
SUSE OpenStack Cloud 9 venv-openstack-nova Released
SUSE OpenStack Cloud Crowbar 8 openstack-barbican Released
SUSE OpenStack Cloud Crowbar 8 openstack-barbican-doc Released
SUSE OpenStack Cloud Crowbar 9 openstack-barbican Released
SUSE OpenStack Cloud Crowbar 9 openstack-heat-gbp Released
SUSE OpenStack Cloud Crowbar 9 openstack-horizon-plugin-gbp-ui Released
SUSE OpenStack Cloud Crowbar 9 openstack-neutron Released
SUSE OpenStack Cloud Crowbar 9 openstack-neutron-gbp Released
SUSE OpenStack Cloud Crowbar 9 spark Released


SUSE Timeline for this CVE

CVE page created: Wed Sep 28 20:00:24 2022
CVE page last modified: Fri Jan 27 12:23:58 2023